Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum Linuxiarze.pl

Author Topic: Nvidia + SparkyLinux6 Bullseye = Why ?  (Read 859 times)

Offline QazX

  • Newbie
  • *
  • Posts: 2
  • Karma: 0
Nvidia + SparkyLinux6 Bullseye = Why ?
« on: January 22, 2021, 02:07:14 am »
Hello everyone,

Im here cause ive tried to move out of MS windows 4 times now and i thought sparkylinux was going to be my answer. With the very little experience and understanding of linux OS I ve fought once again to get a effin gaming Pc running on linux. Please pardon me if  I sound irritated but I actually am. I dont want to be a computer tech i just want to be free from  MS.

So situation:
I tried installing propriatary drivers from Nvidia for my GTX 960 4GB cause the >nouveau stuff< wasnt running 7days to die. Spent hours and finaly found this site here.
https://linuxx.info/installing-nvidia-driver-in-debian-10/
Command lines worked and i could confirm that nvidia driver and  kernel header thingies were Nividia. But games still wouldnt works.
While trying to find a solution I somehow remembered that the version of Sparky I had was To polo based off bulleyes, which is debian 11
So why would sparky make version of a freaking OS intented for gaming based off a Testing version of debian... 

well now i dunno what to do, could someone help me out. All I want is being able to use my hardware.

My current solution right now is trying to install Sparky 4 based off debian 9 and attempt to install nvidia drivers again.
Also, why isnt Lutris opening up. I remember using it 2 years ago on Gameover edition.

Thanks ya ll

Offline paxmark1

  • Hero Member
  • *****
  • Posts: 852
  • Karma: 4
  • https://forum.sparkylinux.org/index.php/topic,4614
Re: Nvidia + SparkyLinux6 Bullseye = Why ?
« Reply #1 on: January 24, 2021, 05:50:10 am »
Nvidia + Linux can be difficult.   I have been watching people have problems with Nvidia and linux for 20 years.  Step back and breathe. 

Since it is difficult, there are tools that aid us non-paid people in diagnosing specific things easier.   The first one I recommend is the usage of inxi.  It lets us see things that might be not right.     There are youtube videos that show it's usage.    Also usage of Ctl-C for copying from terminals.  A second thing is usage of the # button above when posting code to highlight it.   

Truncated example of inxi -bGr marked up as code.

Code: [Select]
$ inxi -bGr
System:    Host: dbnbuster Kernel: 4.19.0-13-amd64 x86_64 bits: 64 Desktop: LXQt 0.14.1 Distro: Debian GNU/Linux 10 (buster)
Machine:   Type: Desktop System: Gigabyte product: H81M-S2H GSM v: N/A serial: <root required>
           Mobo: Gigabyte model: H81M-S2H GSM v: x.x serial: <root required> BIOS: American Megatrends v: F2 date: 08/11/2015
CPU:       Dual Core: Intel Core i3-4170 type: MT MCP speed: 1383 MHz min/max: 800/3700 MHz
Graphics:  Device-1: Intel 4th Generation Core Processor Family Integrated Graphics driver: i915 v: kernel
           Display: x11 server: X.Org 1.20.4 driver: modesetting unloaded: fbdev,vesa resolution: 1920x1080~60Hz
           OpenGL: renderer: Mesa DRI Intel Haswell v: 4.5 Mesa 18.3.6
Network:   Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet driver: r8169
           Device-2: Ralink RT5372 Wireless Adapter type: USB driver: rt2800usb
Drives:    Local Storage: total: 2.27 TiB used: 530.47 GiB (22.8%)
Repos:     Active apt repos in: /etc/apt/sources.list
           1: deb http://debian.mirror.rafal.ca/debian/ buster main non-free contrib
           2: deb-src http://debian.mirror.rafal.ca/debian/ buster main non-free contrib
           3: deb http://deb.debian.org/debian buster-backports main    ##### rest truncated

My only Nvidia was not cutting edge and low powered and that was 2009.   Others might help, but your anger expressed is not helpful in people investing in coming to your aid. 

Sparky 4 is not what you want.   Your statement about Sparky being a gaming distro is a little limited.   Sparky is a distro that can aid various types of users interests.    Sparky is definitely for people who want to use the testing branch for newer kernels and newer firmware.   It is for people running stable with a few more bells and whistles that Debian won't or hasn't yet developed.   Etc. Etc. 

  If I am correct in that the GTX 960 's hardware dates back to approx. 2015.  The ultimate source of your problem is not Linux but the people running NVIDIA not supporting FOSS.   

The first place I would start to look for things is at

https://wiki.debian.org/NvidiaGraphicsDrivers
Search forum for "More info easier via inxi"    If requested -  no inxi, no help for you by  me.

Offline PelleB

  • Newbie
  • *
  • Posts: 9
  • Karma: 0
Re: Nvidia + SparkyLinux6 Bullseye = Why ?
« Reply #2 on: January 27, 2021, 09:10:28 am »
Nvidia drivers are at
Code: [Select]
https://www.nvidia.com/en-us/drivers/unix/
But how do we know that the problem is with the graphics driver? What about starting the game from a terminal and check the error messages? Maybe the best would be to choose a distribution that comes with  the Nvidia-driver preconfigured?